<div class="text-center font-weight-bold text-danger" *ngIf="msjFacturaService && loading">{{ msjFacturaService}}</div>
<mat-progress-bar mode="indeterminate" *ngIf="loading" class="m-1 mb-3"></mat-progress-bar>

<form [formGroup]="facturaForm">
    <div class="row d-flex justify-content-start form-row">
        <div class="form-group col-4 col-sm-4 col-md-4 col-lg-3 col-xl-3">
            <label>R.F.C.</label>
            <div class="input-group">
                <!-- <kendo-maskedtextbox [mask]="maskRfc" [maskValidation]="false" formControlName="rfc">
                </kendo-maskedtextbox> -->
                <input type="text" class="form-control" formControlName="rfc" #rfc
                    (focusout)="facturaForm.controls['rfc'].valid ? changeRfc('rfc') : null;">
                <div class="input-group-prepend">
                    <div class="input-group-text btn-info" (click)="openModal(modalRsocial, 'lg')">
                        <i class="fa fa-search"></i>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
            <label>Sucursal</label>
            <input type="text" class="form-control" formControlName="Sucursal" (change)="changeRfc('sucursal')">
        </div>
        <div class="form-group col-7">
            <label>Razón Social</label>
            <input type="text" class="form-control" formControlName="rrsocial">
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3 col-xl-3">
            <label>Calle</label>
            <input type="text" class="form-control" formControlName="rdireccion1">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-1 col-xl-1">
            <label>Exterior</label>
            <input type="text" class="form-control" formControlName="exterior">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-1 col-xl-1">
            <label>Interior</label>
            <input type="text" class="form-control" formControlName="interior">
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-4 col-xl-3">
            <label>Colonia</label>
            <input type="text" class="form-control" formControlName="rdireccion2">
        </div>
        <div class="form-group col-sm-6 col-md-4 col-lg-3 col-xl-3">
            <label>Ciudad</label>
            <input type="text" class="form-control" formControlName="rciudad">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-1">
            <label>Estado</label>
            <div class="input-group">
                <input type="text" class="form-control" formControlName="estado" #estado
                    (focusout)="changeForm('estados', estado.value)"
                    [ngClass]="{'is-invalid': facturaForm.controls['estado'].invalid }">
                <div class="input-group-prepend">
                    <div class="input-group-text btn-info" (click)="openModal(modalEstados, 'lg')">
                        <i class="fa fa-search"></i>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label>C.P.</label>
            <input type="text" class="form-control" formControlName="rcp">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label>Teléfono 1</label>
            <input type="text" class="form-control" formControlName="rtelefono1">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label>Teléfono 2</label>
            <input type="text" class="form-control" formControlName="rtelefono2">
        </div>
        <div class="form-group col-sm-6 col-md-6 col-lg-4 col-xl-4">
            <label>E-Mail</label>
            <input type="email" class="form-control" formControlName="remail">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label>Fax</label>
            <input type="text" class="form-control" formControlName="rfax">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label>Contacto</label>
            <input type="text" class="form-control" formControlName="rcontacto">
        </div>
        <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
            <label>Puesto</label>
            <input type="text" class="form-control" formControlName="rpuesto">
        </div>
        <div class="form-group col-sm-6 col-md-6 col-lg-4 col-xl-6">
            <label>Notas</label>
            <input type="text" class="form-control" formControlName="rnotas">
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
            <label>Usuario</label>
            <input type="text" class="form-control-plaintext" formControlName="Usuario" readonly>
        </div>
    </div>
</form>

<div class="divider"></div>

<div class="row d-flex justify-content-start form-row" *ngIf="formGeneral">
    <div class="form-group col-sm-6 col-md-6 col-lg-5 col-xl-5">
        <label for="usoCfd">Uso CFD</label>
        <kendo-dropdownlist [data]="dsTiposCfd" [textField]="'cDesc'" [valueField]="'cClave'"
            [(ngModel)]="formGeneral.usoCfd" [valuePrimitive]="true" name="usoCfd" class="w-100">
        </kendo-dropdownlist>
    </div>
    <div class="form-group col-sm-6 col-md-6 col-lg-5 col-xl-5">
        <label for="consecutivo">Consecutivo</label>
        <kendo-combobox [data]="dsConsecutivos" [textField]="'cDesc'" [valueField]="'cCon'"
            [(ngModel)]="formGeneral.consecutivo" (valueChange)="consecutivoSelected($event)" name="consecutivo"
            class="w-100" required>
        </kendo-combobox>
    </div>
    <div class="form-group col-sm-3 col-md-2 col-lg-2 col-xl-2">
        <label for="factura"># Factura</label>
        <input type="text" name="factura" class="form-control" [(ngModel)]="formGeneral.factura" readonly>
    </div>
    <div class="form-group col-sm-6 col-md-6 col-lg-6 col-xl-6">
        <label for="emailEnv">E-Mail</label>
        <input type="email" name="emailEnv" class="form-control" [(ngModel)]="formGeneral.emailEnv"
            [disabled]="!formGeneral.factura">
    </div>
    <div class="form-group col-sm-3 col-md-4 col-lg-4 col-xl-3">
        <div class="custom-control custom-checkbox mt-4">
            <input type="checkbox" class="custom-control-input" id="customCheck1" [(ngModel)]="formGeneral.enviar"
                [disabled]="!formGeneral.factura">
            <label class="custom-control-label" for="customCheck1">Enviar email al facturar</label>
        </div>
    </div>
    <div class="form-group col d-flex justify-content-end py-2">
        <button class="btn btn-success px-4" (click)="onSubmit()" [disabled]="!formGeneral.factura || loading">
            <i class="fas fa-check mr-2"></i>Aceptar
        </button>
    </div>
</div>

<ng-template #modalRsocial let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Buscar Razón Social</h6>
        <button class="close" aria-label="Close" (click)="c()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-help-rfc (rfc)="rfcValue($event); c();"></app-help-rfc>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" (click)="c('Close click')">Cerrar</button>
    </div>
</ng-template>

<ng-template #modalEstados let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Buscar Estado</h6>
        <button class="close" aria-label="Close" (click)="c()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <app-help-estado (estado)="estadoValue($event); c();"></app-help-estado>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" (click)="c('Close click')">Cerrar</button>
    </div>
</ng-template>